net.sf.jasperreports.engine.util

## Class JRClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - net.sf.jasperreports.engine.util.JRClassLoader

-     public class JRClassLoader
      extends java.lang.ClassLoader

  Version:
    $Id: JRClassLoader.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRClassLoader()`
    `protected` | `JRClassLoader(java.lang.ClassLoader parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getClassRealName(java.lang.String className)`
    `protected java.security.ProtectionDomain` | `getProtectionDomain()`
    `protected static ProtectionDomainFactory` | `getProtectionDomainFactory()`
    `protected java.lang.Class<?>` | `loadClass(java.lang.String className, byte[] bytecodes)`
    `protected java.lang.Class<?>` | `loadClass(java.lang.String className, java.io.File file)`
    `static java.lang.Class<?>` | `loadClassForName(java.lang.String className)`
    `static java.lang.Class<?>` | `loadClassForRealName(java.lang.String className)`
    `static java.lang.Class<?>` | `loadClassFromBytes(java.lang.String className, byte[] bytecodes)`
    `static java.lang.Class<?>` | `loadClassFromFile(java.lang.String className, java.io.File file)`
    `static void` | `setProtectionDomain(java.security.ProtectionDomain protectionDomain)` Sets the protection to be used for classes loaded via the `loadClassFromBytes` method.
    `static void` | `setProtectionDomainFactory(ProtectionDomainFactory protectionDomainFactory)` Sets a protection domain factory to be used for creating protection domains for the classes loaded by instances of this class.

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRClassLoader

          protected JRClassLoader()

    - #### JRClassLoader

          protected JRClassLoader(java.lang.ClassLoader parent)

  - ### Method Detail

    - #### getProtectionDomainFactory

          protected static ProtectionDomainFactory getProtectionDomainFactory()

    - #### setProtectionDomain

          public static void setProtectionDomain(java.security.ProtectionDomain protectionDomain)

      Sets the protection to be used for classes loaded via the `loadClassFromBytes` method. By default, the protection domain of this class is used for the loaded classes.
      Parameters:
        `protectionDomain` - the protection domain to be used
      See Also:
        `loadClassFromBytes(String, byte[])`

    - #### setProtectionDomainFactory

          public static void setProtectionDomainFactory(ProtectionDomainFactory protectionDomainFactory)

      Sets a protection domain factory to be used for creating protection domains for the classes loaded by instances of this class.

      For every instance of this class, `getProtectionDomain` is called and the resulting protection domain is used when loading classes through the newly created classloader.

      Parameters:
        `protectionDomainFactory` - the protection domain factory.
      See Also:
        `ProtectionDomainFactory.getProtectionDomain(ClassLoader)`

    - #### loadClassForName

          public static java.lang.Class<?> loadClassForName(java.lang.String className)
                                                     throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### loadClassForRealName

          public static java.lang.Class<?> loadClassForRealName(java.lang.String className)
                                                         throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### loadClassFromFile

          public static java.lang.Class<?> loadClassFromFile(java.lang.String className,
                                             java.io.File file)
                                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadClassFromBytes

          public static java.lang.Class<?> loadClassFromBytes(java.lang.String className,
                                              byte[] bytecodes)

    - #### loadClass

          protected java.lang.Class<?> loadClass(java.lang.String className,
                                     java.io.File file)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getProtectionDomain

          protected java.security.ProtectionDomain getProtectionDomain()

    - #### loadClass

          protected java.lang.Class<?> loadClass(java.lang.String className,
                                     byte[] bytecodes)

    - #### getClassRealName

          public static java.lang.String getClassRealName(java.lang.String className)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com